## ros-iron-random-numbers 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(random_numbers)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake REQUIRED)
find_package(Boost REQUIRED date_time random thread)

include_directories(include)

add_library(${PROJECT_NAME} SHARED
  src/random_numbers.cpp
)

ament_target_dependencies(${PROJECT_NAME} Boost)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(Boost)
ament_export_include_directories(include)

set_target_properties(${PROJECT_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-random-numbers (2.0.1-4jammy) jammy; urgency=high

  * Support rolling on CI (#32 <https://github.com/ros-planning/random_numbers/issues/32>)
  * Migrate to GitHub Actions (#30 <https://github.com/ros-planning/random_numbers/issues/30>)
  * Fix Travis README badge (#26 <https://github.com/ros-planning/random_numbers/issues/26>)
  * Enable WINDOWS_EXPORT_ALL_SYMBOLS property for MSVC support (#23 <https://github.com/ros-planning/random_numbers/issues/23>)
  * Declare specific boost depedencies (#22 <https://github.com/ros-planning/random_numbers/issues/22>)
    * removed unnecessary libboost-math libraries as only headers-only parts are used
  * Fix clang-format, ament_lint_cmake (#25 <https://github.com/ros-planning/random_numbers/issues/25>)
  * Contributors: Henning Kayser, Lior Lustgarten, Mikael Arguedas, Robert Haschke, Tyler Weaver, Vatan Aksoy Tezer

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Sun, 23 May 2021 16:00:00 -0000

ros-iron-random-numbers (2.0.0-4jammy) jammy; urgency=high

  * [maint] Run Travis on Foxy and check ament_lint
  * Contributors: Henning Kayser

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Sun, 22 Nov 2020 16:00:00 -0000

ros-iron-random-numbers (1.0.0-4jammy) jammy; urgency=high

  * Fix ROS2 port (#18 <https://github.com/ros-planning/random_numbers/issues/18>)
  * Update Travis for ROS2 (#14 <https://github.com/ros-planning/random_numbers/issues/14>, #16 <https://github.com/ros-planning/random_numbers/issues/16>)
  * Fix shared library install path (#13 <https://github.com/ros-planning/random_numbers/issues/13>)
  * Contributors: Henning Kayser, Mike Lautman, Robert Haschke, Sean Yen

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Thu, 09 Jul 2020 16:00:00 -0000

ros-iron-random-numbers (0.3.2-4jammy) jammy; urgency=high

  * Update maintainership. (#11 <https://github.com/ros-planning/random_numbers/issues/11>)
  * Contributors: Steven! Ragnarök

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Mon, 26 Feb 2018 16:00:00 -0000

ros-iron-random-numbers (0.3.1-4jammy) jammy; urgency=high

  * Merge pull request #10 <https://github.com/ros-planning/random_numbers/issues/10> from jspricke/cmake_lib
    Use catkin variables for install dirs
  * Contributors: Dave Coleman, Jochen Sprickerhof

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Sun, 03 Apr 2016 16:00:00 -0000

ros-iron-random-numbers (0.3.0-4jammy) jammy; urgency=high

  * Update README.md with Documentation
  * Allow the randomly generated seed to be saved so that experiments / benc...
  * Initialize static int to 0
  * Save the first_seed even when passed in manually.
  * Allow the randomly generated seed to be saved so that experiments / benchmarks can be recreated in the future
  * Added ability to specify random number generator seed for stochastic behavior
  * Added travis build status indicator in README.md
  * Contributors: Dave Coleman, Dave Hershberger, Ioan A Sucan

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Thu, 04 Sep 2014 16:00:00 -0000

ros-iron-random-numbers (0.2.0-4jammy) jammy; urgency=high

  * Merge pull request #2 <https://github.com/ros-planning/random_numbers/issues/2> from wjwwood/patch-1
    Fix linkedit error on OS X with newer versions of Boost
  * Fix linkedit error on OS X with newer versions of Boost
    When building random_numbers on OS X with Boost 1.53.0 I get:
    ```
    ==> Processing catkin package: 'random_numbers'
    ==> Creating build directory: 'build_isolated/random_numbers'
    ==> Building with env: '/Users/william/moveit_ws/install_isolated/env.sh'
    ==> cmake /Users/william/moveit_ws/src/random_numbers -DCATKIN_DEVEL_PREFIX=/Users/william/moveit_ws/devel_isolated/random_numbers -DCMAKE_INSTALL_PREFIX=/Users/william/moveit_ws/install_isolated
    -- The C compiler identification is Clang 4.2.0
    -- The CXX compiler identification is Clang 4.2.0
    -- Check for working C compiler: /usr/bin/cc
    -- Check for working C compiler: /usr/bin/cc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Check for working CXX compiler: /usr/bin/c++
    -- Check for working CXX compiler: /usr/bin/c++ -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    -- Using CATKIN_DEVEL_PREFIX: /Users/william/moveit_ws/devel_isolated/random_numbers
    -- Using CMAKE_PREFIX_PATH: /Users/william/moveit_ws/install_isolated
    -- This workspace overlays: /Users/william/moveit_ws/install_isolated
    -- Found PythonInterp: /usr/bin/python (found version "2.7.2")
    -- Found PY_em: /Library/Python/2.7/site-packages/em.pyc
    -- Found gtest: gtests will be built
    -- Using CATKIN_TEST_RESULTS_DIR: /Users/william/moveit_ws/build_isolated/random_numbers/test_results
    -- catkin 0.5.65
    WARNING: 'catkin' should be listed as a buildtool dependency in the package.xml (instead of build dependency)
    -- Boost version: 1.53.0
    -- Found the following Boost libraries:
    --   date_time
    --   thread
    -- Configuring done
    -- Generating done
    -- Build files have been written to: /Users/william/moveit_ws/build_isolated/random_numbers
    ==> make -j4 -l4 in '/Users/william/moveit_ws/build_isolated/random_numbers'
    Scanning dependencies of target random_numbers
    [100%] Building CXX object CMakeFiles/random_numbers.dir/src/random_numbers.cpp.o
    Linking CXX shared library /Users/william/moveit_ws/devel_isolated/random_numbers/lib/librandom_numbers.dylib
    Undefined symbols for architecture x86_64:
    "boost::system::system_category()", referenced from:
    ___cxx_global_var_init3 in random_numbers.cpp.o
    boost::thread_exception::thread_exception(int, char const*) in random_numbers.cpp.o
    "boost::system::generic_category()", referenced from:
    ___cxx_global_var_init1 in random_numbers.cpp.o
    ___cxx_global_var_init2 in random_numbers.cpp.o
    ld: symbol(s) not found for architecture x86_64


=== debian/control ===
Source: ros-iron-random-numbers
Section: misc
Priority: optional
Maintainer: Anas M'chichou <anasarrak@erlerobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-date-time-dev, libboost-dev, libboost-random-dev, libboost-thread-dev, ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-cmake <!nocheck>, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/random_numbers
Standards-Version: 3.9.2

Package: ros-iron-random-numbers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-date-time1.74.0, libboost-dev, libboost-random-dev, libboost-random1.74.0, libboost-thread-dev, libboost-thread1.74.0, ros-iron-ros-workspace
Description: This library contains wrappers for generating floating point values, integers, quaternions using boost libraries.
 The constructor of the wrapper is guaranteed to be thread safe and initialize its random number generator to a random seed. Seeds are obtained using a separate and different random number generator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-random-numbers//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
